Skip to main content
GET
Get address book

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Query Parameters

recipient_type
enum<string>

Filter by recipient type

Available options:
CRYPTO_ADDRESS,
COUNTERPARTY_ID

Response

Saved addresses list

recipient_type
enum<string>

The type of withdrawal recipient

Available options:
CRYPTO_ADDRESS,
COUNTERPARTY_ID
Example:

"CRYPTO_ADDRESS"

recipient_id
string

The crypto address or counterparty ID

Example:

"0x29d2D586e222D0610b04e71974699589379F13b5"

label
string

User-defined label to categorize the address

Example:

"business"

nick_name
string

User-defined nickname for the address

Example:

"My Wallet"

status
enum<string>

The status of the address allowlist entry. PENDING entries become ACTIVE after 24 hours

Available options:
ACTIVE,
DISABLED,
PENDING
Example:

"ACTIVE"

asset
string

The name of the asset (for crypto addresses only)

Example:

"ETH"

network_arn_id
string

The blockchain network identifier (for crypto addresses only)

Example:

"networks/ethereum-mainnet/assets/313ef8a9-ae5a-5f2f-8a56-572c0e2a4d5a"

created_at
string<date-time>

The time the address was added to the allowlist

Example:

"2023-09-16T23:59:53.000Z"